//
//  ArgumentAdapter.m
//  rongcloud_beauty_wrapper_plugin
//
//  Created by RongCloud on 10/12/22.
//

#import "ArgumentAdapter.h"

RCBeautyIWOptions *toRCBeautyIWOptions(NSDictionary *arguments) {
    RCBeautyIWOptions *options = [[RCBeautyIWOptions alloc] init];
    options.whitenessLevel = [arguments[@"whitenessLevel"] integerValue];
    options.smoothLevel = [arguments[@"smoothLevel"] integerValue];
    options.ruddyLevel = [arguments[@"ruddyLevel"] integerValue];
    options.brightLevel = [arguments[@"brightLevel"] integerValue];
    return options;
}

NSDictionary *fromRCBeautyIWOptions(RCBeautyIWOptions *arguments) {
    NSMutableDictionary *options = [[NSMutableDictionary alloc] initWithCapacity:4];
    [options setObject:@(arguments.whitenessLevel) forKey:@"whitenessLevel"];
    [options setObject:@(arguments.smoothLevel) forKey:@"smoothLevel"];
    [options setObject:@(arguments.ruddyLevel) forKey:@"ruddyLevel"];
    [options setObject:@(arguments.brightLevel) forKey:@"brightLevel"];
    return options;
}
