class RCBeautyOptions {
  const RCBeautyOptions.create(
      {this.whitenessLevel = 0,
      this.smoothLevel = 0,
      this.ruddyLevel = 0,
      this.brightLevel = 5});

  Map<String, dynamic> toJson() => {
        'whitenessLevel': whitenessLevel,
        'smoothLevel': smoothLevel,
        'ruddyLevel': ruddyLevel,
        'brightLevel': brightLevel,
      };

  RCBeautyOptions.fromJson(Map<String, dynamic> options)
      : whitenessLevel = options['whitenessLevel'],
        smoothLevel = options['smoothLevel'],
        ruddyLevel = options['ruddyLevel'],
        brightLevel = options['brightLevel'];

  final int whitenessLevel;
  final int smoothLevel;
  final int ruddyLevel;
  final int brightLevel;
}
